using System.Windows.Media;

namespace BS.Shared.DataContracts.Compact
{
    public partial class CompactGroupOfPeopleDC : IFilterableDC
    {

        
        public string FilterRelevants
        {
            get
            {
                return this.Name;
            }
        }

        
        public long Version
        {
            get
            {
                return this.GroupOfPeopleVersion;
            }

            set
            {
                this.GroupOfPeopleVersion = value;
            }
        }

        public SolidColorBrush FilterableBrush
        {
            get
            {
                return new SolidColorBrush(Colors.Transparent);
            }
        }

        public override bool Equals(object obj)
        {
            if (obj is CompactGroupOfPeopleDC)
            {
                return this.GroupOfPeopleOid == ((CompactGroupOfPeopleDC)obj).GroupOfPeopleOid;
            }

            return false;
        }

        public override int GetHashCode()
        {
            return this.GetType().Name.GetHashCode() ^ this.GroupOfPeopleOid.GetHashCode();
        }

        public override string ToString()
        {
            return this.Name;
        }


        public ActivationTypeId ActivationType
        {
            get
            {
                return ActivationTypeId.Active;
            }
            set
            {
                
            }
        }

        public string DetailDescription
        {
            get { return this.Name; }
        }

        public string IconPath
        {
            get { return null; }
        }

        public string SimpleDescription
        {
            get { return this.Name; }
        }

        public bool SupportsActivationType
        {
            get { return false; }
        }

    }
}